# Распределенные вычисления и приложения Л1
## _Автор Базунов Андрей Игревич ПИбд-42_

В качестве сервисов были выбраны:
> 1.Ollama (_Сервис для использования LLMs моделей_)
> 2.Open Web Ui (_Сервис для удобного общения с моделью из сервиса Ollama_)
> 3.Gitea (_Гит сервис_)

# Docker

>Перед исполнением вполняем установку docker и проверяем версию

```sh
docker-compose --version
```

>Далее производим настройку файла docker-compose.yaml и запускаем контейнер

```sh
docker-compose up -d
```

>Для завершения работы контейнера используем команду
```sh
docker-compose down
```
---
> Замечание: после запуска контейнера, необходимо перейти в контейнер **ollamа** и выполнить установку модели [gemma2](https://ollama.com/library/gemma2:2b)
> ```sh
> docker-compose exec ollama ollama run ollama run gemma2:2b
> ```
---
Далее можно использовать веб сервис Open Web Ui по адресу **localhost:8080** для общения с моделью и Gitea по адресу **localhost:3000** - [демонстрация работы](https://vk.com/video/@viltskaa?z=video236673313_456239574%2Fpl_236673313_-2)
